Skip to main content
GET
/
api
/
public
/
v1
/
assets
/
{assetId}
Get asset
curl --request GET \
  --url https://{BaseURL}/api/public/v1/assets/{assetId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "type": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "owner": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "displayName": "<string>",
      "email": "<string>"
    },
    "parentFolder": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "schedules": [
      {
        "cronExpression": "<string>",
        "timezone": "<string>",
        "nextRunAt": "<string>"
      }
    ],
    "details": {
      "tablePrefix": "<string>",
      "computeProfile": "<string>"
    }
  }
}
Look up an asset by ID: name, type, owner, folder, and schedules. This endpoint does not return secrets (for example connection passwords or credentials).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

assetId
string<uuid>
required

UUID of the asset.

Response

Asset found.

data
object
required